import { IPadding, IEdges } from './types';
export declare function pipe(...fus: Function[]): <T>(init: T) => T;
export declare function getFontStr(name: string, size: number): string;
export declare function hasFooter<T extends {
    label?: string;
}>(items: ReadonlyArray<T>): boolean;
export declare function calcH(height: number, padding: number, head: number, footer: number): number;
export declare function calcEdges(values: number[], top?: number, bottom?: number): Readonly<IEdges>;
export declare function calcPadding(canvas: HTMLCanvasElement, edges: IEdges, rowStroke: number, rowFontSize: number, rowFont?: string): Readonly<IPadding>;
export declare function getOptions(canvas: HTMLCanvasElement, options: Readonly<any>, values: number[], hasFooter: boolean): Readonly<any>;
export declare function getColumns<T extends {
    label?: string;
}>(data: ReadonlyArray<Readonly<T>>): string[] | undefined;
export declare function getLinePath(x1: number, y1: number, x2: number, y2: number): Path2D;
export declare function getRectPath(x: number, y: number, w: number, h: number, radius?: number): Path2D;
export declare function getBarPath(x: number, y: number, w: number, b: number, r: number): Path2D;
export declare function getCanvasPoint(canvas: HTMLCanvasElement, ratio: number, event: MouseEvent): number[];
