import { setupCanvas } from '../draw';
import { setupEvents } from '../events';
import { OPTIONS } from './constants';
import { adjustColor, calc, draw } from './helpers';
export function createPieChart(canvas, data, options = {}) {
    const opt = Object.assign(Object.assign({}, OPTIONS), options);
    setupCanvas(canvas, opt.size, opt.size, opt.ratio);
    const paths = calc(data, opt);
    const params = { canvas, drawData: paths, options: opt };
    draw(params);
    return setupEvents(params, draw, () => ({
        items: paths,
        fill: (color = '#000000') => adjustColor(color, 10),
    }));
}
//# sourceMappingURL=index.js.map